/*
Fichier Polybutton.cpp

This library is free software; you can redistribute it and/or
modify it under the terms of the GNU Lesser General Public
License as published by the Free Software Foundation; either
version 2.1 of the License, or (at your option) any later version.

Gestion du bouton multiple Dfrobot
en fonction des seuils
S0 => 0   	Bouton N°0
S1 => 143	Bouton N°1
S2 => 328	Bouton N°2
S3 => 502	Bouton N°3
S4 => 743	Bouton N°4

Crea&ted by Cordier Yves march 2015
*/
/******************************************************************************
* Includes
******************************************************************************/

#include "Polybutton.h"

// les methodes

Polybutton::Polybutton(byte p)// le constructeur qui initialise les valeurs internes
{
	valeur = 1023; // par defaut
	pin = p; // Numero de la broche ou est cablé le bouton
	pinMode(pin, INPUT); // broche en entrée
	for (byte i=0; i<5;i++) {S[i]=false;} // On vide les valeurs par defaut
};

void Polybutton::Get() // Fonction qui prend la valeur analogique et mets à jour les indicateurs des boutons
{
	valeur = analogRead(pin);
	for (byte i = 0; i < 5; i++) {
		S[i] = false;
	};
	if (valeur < 30)
	{
		S[0] = true;
	}
	else
	{ if (valeur < 170)
		{
			S[1] = true;
		}
		else
		{ if (valeur < 360)
			{
				S[2] = true;
			}
			else
			{ if (valeur < 530)
				{
					S[3] = true;
				}
				else
				{ if (valeur < 770)
					{
						S[4] = true;
					}
				}
			}
		}
	}
};

boolean Polybutton::Get(byte i) // Idem à get() mais renvoi la valeur du bouton N°i 
{ Get();
	return (Etat(i));
};


boolean Polybutton::Etat(byte bouton) // renvoi la valeur du bouton N°i
{
	if (bouton < 5) {
		return (S[bouton]);
	}
	else
	{
		return (false);
	}
};

boolean Polybutton::State(byte bouton) // renvoi la valeur du bouton N°i
{
	return Etat(bouton);
};
