/*Polybutton.h - Library for Polybutton
Crea&ted by Cordier Yves march 2015

This library is free software; you can redistribute it and/or
modify it under the terms of the GNU Lesser General Public
License as published by the Free Software Foundation; either
version 2.1 of the License, or (at your option) any later version.

Gestion du bouton multiple Dfrobot
en fonction des seuils
S0 => bouton N°0
S1 => bouton N°1
S2 => bouton N°2
S3 => bouton N°3
S4 => bouton N°4
*/

#ifndef Polybutton_h
#define Polybutton_h

#if defined(ARDUINO) && ARDUINO >= 100
#include "Arduino.h"
#else
#include "WProgram.h"
#endif


/*
Gestion du bouton multiple Dfrobot branché sur une entrée analogique
en fonction des seuils mesurés
S0 => 0   
S1 => 143
S2 => 328
S3 => 502
S4 => 743
aucun => 1023
*/

class Polybutton
{ private: // les atributs et methodes internes
	boolean S[5];  // Etat actuel
	unsigned int valeur ;
	byte pin; // La pin de branchement
public: // les methodes
	Polybutton (byte p);// le constructeur qui initialise les valeurs internes

	void Get();
	boolean Get(byte i);

	boolean Etat(byte bouton);
	boolean State(byte bouton);
}; // fin de la definition de l'objet Polybutton
#endif